<?php

/**
 * @package     Extly.Components
 * @subpackage  PlgContentAutotweetOpenGraph - Plugin AutoTweet NG OpenGraph Tags-Extension for Joomla!
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

/**
 * OGItem
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class OGItem
{
	public $title = null;

	public $metadesc = null;

	public $introtext = null;

	public $publish_up = null;

	public $modified = null;

	public $created_by = null;

	// Advanced properties

	public $firstContentImage = null;

	public $introImage = null;

	public $fullTextImage = null;

	public $url = null;

	public $category_title = null;

	public $imageArray = array();
}
