<?php
/* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-09 09:07:26 */
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

class XTP_Google_Service_Blogger_BlogList extends XTP_Google_Collection
{
  protected $collection_key = 'items';
  protected $blogUserInfosType = 'XTP_Google_Service_Blogger_BlogUserInfo';
  protected $blogUserInfosDataType = 'array';
  protected $itemsType = 'XTP_Google_Service_Blogger_Blog';
  protected $itemsDataType = 'array';
  public $kind;

  /**
   * @param Google_Service_Blogger_BlogUserInfo
   */
  public function setBlogUserInfos($blogUserInfos)
  {
    $this->blogUserInfos = $blogUserInfos;
  }
  /**
   * @return Google_Service_Blogger_BlogUserInfo
   */
  public function getBlogUserInfos()
  {
    return $this->blogUserInfos;
  }
  /**
   * @param Google_Service_Blogger_Blog
   */
  public function setItems($items)
  {
    $this->items = $items;
  }
  /**
   * @return Google_Service_Blogger_Blog
   */
  public function getItems()
  {
    return $this->items;
  }
  public function setKind($kind)
  {
    $this->kind = $kind;
  }
  public function getKind()
  {
    return $this->kind;
  }
}
