<?php /* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-10 13:23:06 */

namespace XTP_BUILD\Illuminate\Contracts\Console;

interface Application
{
    /**
     * Call a console application command.
     *
     * @param  string  $command
     * @param  array  $parameters
     * @return int
     */
    public function call($command, array $parameters = []);

    /**
     * Get the output from the last command.
     *
     * @return string
     */
    public function output();
}
