<?php /* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-10 13:23:06 */

namespace XTP_BUILD\Illuminate\Contracts\Routing;

interface UrlRoutable
{
    /**
     * Get the value of the model's route key.
     *
     * @return mixed
     */
    public function getRouteKey();

    /**
     * Get the route key for the model.
     *
     * @return string
     */
    public function getRouteKeyName();
}
