<?php
/* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-09 09:06:52 */

namespace XTP_BUILD\Telegram\Bot\Objects;

/**
 * Class GameHighScore.
 *
 * @property int  $position Position in high score table for the game.
 * @property User $user     User
 * @property int  $score    Score
 */
class GameHighScore extends BaseObject
{
    /**
     * {@inheritdoc}
     */
    public function relations()
    {
        return [
            'user' => User::class,
        ];
    }
}
