<?php
/* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-09 09:06:52 */

namespace XTP_BUILD\Telegram\Bot\Objects\InputContent;

use XTP_BUILD\Telegram\Bot\Objects\InlineQuery\InlineBaseObject;

/**
 * Class InputLocationMessageContent.
 *
 * <code>
 * $params = [
 *   'latitude'     => '',
 *   'longitude'    => '',
 * ];
 *
 * @method $this setLatitude($float)    Latitude of the location in degrees
 * @method $this setLongitude($float)   Longitude of the location in degrees
 */
class InputLocationMessageContent extends InlineBaseObject
{
}
