<?php /* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-09 09:06:05 */
namespace XTP_BUILD\VK\Exceptions\Api;

use XTP_BUILD\VK\Client\VKApiError;
use XTP_BUILD\VK\Exceptions\VKApiException;

/**
 */
class VKApiParamDocIdException extends VKApiException {

	/**
	 * VKApiParamDocIdException constructor.
	 *
	 * @param VkApiError $error
	 */
	public function __construct(VkApiError $error) {
		parent::__construct(1150, 'Invalid document id', $error);
	}
}
