<?php /* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-09 09:06:02 */
namespace XTP_BUILD\VK\Exceptions\Api;

use XTP_BUILD\VK\Client\VKApiError;
use XTP_BUILD\VK\Exceptions\VKApiException;

/**
 */
class VKApiPhotoChangedException extends VKApiException {

	/**
	 * VKApiPhotoChangedException constructor.
	 *
	 * @param VkApiError $error
	 */
	public function __construct(VkApiError $error) {
		parent::__construct(1160, 'Original photo was changed', $error);
	}
}
