<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

?>
<div id="filters" class="tab-pane fade">
<?php

	echo EHtmlSelect::yesNoControl(
		$this->item->xtform->get('ignore_empty_intro', 0),
		'xtform[ignore_empty_intro]',
		'COM_AUTOTWEET_VIEW_FEED_IGNORE_EMPTY',
		'COM_AUTOTWEET_VIEW_FEED_IGNORE_EMPTY_DESC');

	include_once 'feed_duplicates.php';
	include_once 'feed_importfilters.php';
	include_once 'feed_htmlfilters.php';
	include_once 'feed_textfilters.php';

?>
</div>
