<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

if (AUTOTWEETNG_JOOCIAL)
{
	$params = AdvancedattrsHelper::getAdvancedAttrByReq($this->item->id);
	AutotweetBaseHelper::convertUTCLocalAgenda($params->agenda);

	if (!empty($params->image))
	{
		$this->item->image_url = $params->image;
		$params->image = null;
	}

	$this->item->autotweet_advanced_attrs = $params;
}

echo TextUtil::encodeJsonPackage($this->item);
