<?php /* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-09 09:06:43 */

namespace XTP_BUILD\HTML5Lib\Tests;
use SimpleTest;

/**
 * Implementation specifically for JSON format files.
 */
SimpleTest::ignore('XTP_BUILD\HTML5Lib\Tests\JSONHarness');
abstract class JSONHarness extends DataHarness
{
    protected $data;
    public function __construct() {
        parent::__construct();
        $this->data  = json_decode(file_get_contents($this->filename));
    }
    public function getDescription($test) {
        return $test->description;
    }
    public function getDataTests() {
        return isset($this->data->tests) ? $this->data->tests : array();
        // could be a weird xmlViolationsTest
    }
}
