<?php
/* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-09 09:06:50 */

namespace XTP_BUILD\Telegram\Bot\Commands;

use XTP_BUILD\Telegram\Bot\Api;
use XTP_BUILD\Telegram\Bot\Objects\Update;

/**
 * Interface CommandInterface.
 */
interface CommandInterface
{
    public function getName(): string;

    public function getAliases(): array;

    public function getDescription(): string;

    public function getArguments(): array;

    public function make(Api $telegram, Update $update, array $entity);
}
