<?php
/* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-09 09:06:54 */

namespace XTP_BUILD\Telegram\Bot\Objects\Payments;

use XTP_BUILD\Telegram\Bot\Objects\BaseObject;

/**
 * @property string $label               Portion label
 * @property int    $amount              Price of the product in the smallest units of the currency (integer, not float/double).
 *
 * @link https://core.telegram.org/bots/api#labeledprice
 */
class LabeledPrice extends BaseObject
{
    /**
     * {@inheritdoc}
     */
    public function relations()
    {
        return [
        ];
    }
}
