<?php /* This file has been prefixed by <PHP-Prefixer> for "XT Libraries" on 2019-09-09 09:06:04 */
namespace XTP_BUILD\VK\Exceptions\Api;

use XTP_BUILD\VK\Client\VKApiError;
use XTP_BUILD\VK\Exceptions\VKApiException;

/**
 */
class VKApiCallbackApiServersLimitException extends VKApiException {

	/**
	 * VKApiCallbackApiServersLimitException constructor.
	 *
	 * @param VkApiError $error
	 */
	public function __construct(VkApiError $error) {
		parent::__construct(2000, 'Servers number limit is reached', $error);
	}
}
