<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - Extended Directory for SobiPro
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

$this->loadHelper('select');

$config = JFactory::getConfig();
$offset = $config->get('offset');

$browser = JFactory::getApplication()->client->browser;

// IE (including Trident)
if (($browser === 11) || ($browser === 17))
{
	JFactory::getApplication()->enqueueMessage('You are navigating with Internet Explorer. The system is compatible and only tested on modern browsers: Edge, Chrome, Firefox, Opera or Safari.', 'error');
}

?>

<div ng-app="starter" class="extly ng-cloak">
	<div class="extly-body">

		<div class="row-fluid">
			<div class="span6">
<?php
			include_once '1-editor.php';
?>
			</div>
			<div class="span6">
<?php
			include_once '2-requests.php';
?>

			</div>
		</div>

	</div>
</div>
