<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

$rootUri = JUri::root();

?>
	<hr/>

	<h3 class="text-center">NEW! Joocial Composer App</h3>

	<p class="text-center">
		<a href="https://www.extly.com/composer-app.html" target="_blank"><img src="<?php

			echo $rootUri;

			?>media/com_autotweet/images/Joocial-home.jpg" class="img-polaroid"></a>
		<br/>
		Mobile sharing supports <i class="xticon xticon-facebook-official"></i> Facebook, <i class="xticon xticon-twitter-square"></i> Twitter, <i class="xticon xticon-instagram"></i> Instagram, <i class="xticon xticon-pinterest"></i> Pinterest, <i class="xticon xticon-whatsapp"></i> WhatsApp and more <i class="xticon xticon-share-alt"></i>.
	</p>

	<p class="text-center"><a href="https://www.extly.com/docs/autotweetng_joocial/installation/mobile-app"
		target="_blank"><i class="xticon xticon-mobile"></i> How to enable the mobile App access</a></p>
	<p class="text-center"><a href="https://www.extly.com/docs/autotweetng_joocial/tutorials/#composer-app-mobile-content-sharing"
		target="_blank"><i class="xticon xticon-mobile"></i> From Joomla! to mobile content sharing</a></p>
	<p class="text-center"><a href="https://www.extly.com/docs/autotweetng_joocial/tutorials/#mobile-content-sharing-for-instagram-whatsapp"
		target="_blank"><i class="xticon xticon-mobile"></i> Mobile Content Sharing for Instagram, WhatsApp and VKontakte</a></p>

	<div class="row-fluid">
		<div class="span6 text-center">
			<a href="https://www.extly.com/docs/autotweetng_joocial/installation/mobile-app" target="_blank"><img src="<?php

			echo $rootUri;

			?>media/com_autotweet/images/appstore.png"></a>
		</div>
		<div class="span6 text-center" style="margin-left: 0px;">
			<a href="https://www.extly.com/docs/autotweetng_joocial/installation/mobile-app" target="_blank"><img src="<?php

			echo $rootUri;

			?>media/com_autotweet/images/googleplay.png"></a>
		</div>
	</div>

	<p class="text-center"><a href="https://www.extly.com/slimapps.html" target="_blank">Powered by Extly's SlimApps</a> <i class="xticon xticon-external-link"></i></p>

	<hr/>

	<p><i class="xticon xticon-question-circle"></i>
		<?php echo JText::_('COM_AUTOTWEET_VIEW_ABOUT_SUPPORT_TITLE'); ?>

		<a href="http://support.extly.com" target="_blank">http://support.extly.com</a>
	</p>

	<p>
		<i class="xticon xticon-desktop"></i> Tutorials: <a
			href="https://www.extly.com/docs/autotweetng_joocial/index.html#tutorials"
			target="_blank"> How to AutoTweet from Joomla in 5 minutes</a>
	</p>

	<p>
		<i class="xticon xticon-info"></i> For more information: <a
			href="https://www.extly.com/docs/autotweetng_joocial/index.html"
			target="_blank"><?php echo VersionHelper::getFlavourName(); ?> Documentation</a>
	</p>

	<p>
		<i class="xticon xticon-group"></i> <?php

	echo JText::sprintf('COM_AUTOTWEET_VIEW_ABOUT_SUPPORT_JEDREVIEW', '<a href="' . JED_ID . '" target="_blank">Joomla! Extensions Directory: ');
							echo '</a>.';
							?>
	</p>

	<ul class="footer-links">
		<li><a href="https://www.extly.com/blog.html" target="_blank">Read
				the Extly.com blog</a></li>
		<li><a href="http://support.extly.com" target="_blank">Submit
				issues</a></li>
		<li><a
			href="https://www.extly.com/docs/autotweetng_joocial/changelog"
			target="_blank">Roadmap and changelog</a></li>
	</ul>

	<p class="customsocialicons">
		<?php echo JText::_('COM_AUTOTWEET_VIEW_ABOUT_SUPPORT_TWITTERFOLLOW'); ?> :
		<a target="_blank" href="http://twitter.com/extly"> <i
			class="xticon xticon-twitter"> </i>
		</a> <a target="_blank" href="http://www.facebook.com/extly"> <i
			class="xticon xticon-facebook-sign"></i>
		</a> <a target="_blank"
			href="http://www.linkedin.com/company/extly-com---joomla-extensions?trk=hb_tab_compy_id_2890809">
			<i class="xticon xticon-linkedin"></i>
		</a> <a target="_blank"
			href="https://plus.google.com/108048364795063174131"> <i
			class="xticon xticon-google-plus"> </i>
		</a> <a target="_blank" href="http://pinterest.com/extly/"> <i
			class="xticon xticon-pinterest"> </i>
		</a> <a target="_blank" href="https://github.com/anibalsanchez"> <i
			class="xticon xticon-github"> </i>
		</a>
	</p>
