<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

?>
<div class="row-fluid import-progress hide">
	<div class="span3">
	</div>

	<div class="span6">
		<div class="alert alert-info alert-block">
            <button data-dismiss="alert" class="close" type="button">×</button>
            <h4 class="alert-heading"><?php echo JText::_('COM_AUTOTWEET_VIEW_FEEDS_IMPORT_PROGRESS'); ?></h4>

            <p>&nbsp;</p>

		    <div class="progress progress-striped active">
    			<div class="bar" style="width: 0%;"></div>
    		</div>

    		<p>
    			<span class="label label-info"><?php echo JText::_('COM_AUTOTWEET_VIEW_FEEDS_IMPORT_FEED_NAME'); ?></span>
    			<input type="text" readonly="readonly" class="feed span4" value="">
    			<span class="label label-info"><?php echo JText::_('COM_AUTOTWEET_VIEW_FEEDS_IMPORT_ARTICLE_LABEL'); ?></span>
    			<input type="text" readonly="readonly" class="total span2" value="">
    		</p>

    		<p class="text-center success-message hide" style="text-align: center;">
    			<span class="label label-success success-message"><?php echo JText::_('COM_AUTOTWEET_VIEW_FEEDS_IMPORT_SUCCESS'); ?></span><br/><br/>
    		</p>

         </div>
	</div>

	<div class="span3">
	</div>

</div>
