<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - A powerful social content platform to manage multiple social networks.
 *
 * @author      Extly, CB. <team@extly.com>
 * @copyright   Copyright (c)2007-2019 Extly, CB. All rights reserved.
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        https://www.extly.com
 */

defined('_JEXEC') or die;

?>
<!-- com_autotweet_OUTPUT_START -->
<p style="text-align:center;">
	<span class="loaderspinner">&nbsp;</span>
</p>

<?php

echo JText::_('COM_AUTOTWEET_CHANNEL_PUSHALERT_PUSH_DESC');

?>

<div class="control-group">
	<label class="required control-label" for="rest_api_key" id="rest_api_key-lbl"><?php
		echo JText::_('COM_AUTOTWEET_CHANNEL_PUSHALERT_REST_API_KEY'); ?> <span class="star">&#160;*</span></label>
	<div class="controls">
		<input type="password" maxlength="255" size="50" value="<?php
		echo $this->item->xtform->get('rest_api_key'); ?>" id="rest_api_key" name="xtform[rest_api_key]" class="required" required="required">
	</div>
</div>

<div class="control-group">
	<label class="control-label"> <a class="btn btn-info" id="pushalertvalidationbutton"><?php

	echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_VALIDATEBUTTON');

	?></a>
	</label>

	<div id="validation-notchecked" class="controls">
		<span class="lead"><i class="xticon xticon-question-circle"></i> </span><span class="loaderspinner">&nbsp;</span>
	</div>

	<div id="validation-success" class="controls" style="display: none">
		<span class="lead"><i class="xticon xticon-check"></i> <?php
		echo JText::_('COM_AUTOTWEET_STATE_PUBSTATE_SUCCESS'); ?></span><span class="loaderspinner">&nbsp;</span>
	</div>

	<div id="validation-error" class="controls" style="display: none">
		<span class="lead"><i class="xticon xticon-exclamation"></i> <?php
		echo JText::_('COM_AUTOTWEET_STATE_PUBSTATE_ERROR'); ?></span><span class="loaderspinner">&nbsp;</span>
	</div>

</div>

<div id="validation-errormsg" class="alert alert-block alert-error" style="display: none">
	<button type="button" class="close" data-dismiss="alert">&times;</button>
	<div id="validation-theerrormsg">
		<?php echo JText::_('COM_AUTOTWEET_VIEW_CHANNEL_AUTH_MSG'); ?>
	</div>
</div>

<div class="alert">
	<button type="button" class="close" data-dismiss="alert">&times;</button>
	<ul class="unstyled">
		<li><i class="xticon xticon-thumbs-up"></i> <a
		href="https://www.extly.com/docs/autotweetng_joocial/installation/web-push"
		target="_blank"> Web Push notifications for Joomla!</a></li>

		<li><i class="xticon xticon-thumbs-up"></i> <a
		href="https://www.extly.com/docs/autotweetng_joocial/tutorials/how-to-autotweet"
		target="_blank"> How to AutoTweet from Joomla in 5</a></li>
	</ul>
</div>
<!-- com_autotweet_OUTPUT_START -->
